petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscViewerMatlabPutArray

Puts an array into the MATLAB viewer.

### Synopsis

    PetscErrorCode  PetscViewerMatlabPutArray(PetscViewer mfile,int m,int n,const PetscScalar *array,const char *name)

Not collective: only processor zero saves the array Many br

### Input Parameters

| mfile | - the viewer Many br
| m,n | - the dimensions of the array Many br
| array | - the array (represented in one dimension) Many br
| name | - the name of the array Many br

Many br

Notes: Only writes array values on processor 0. Many br

Level:advanced
Location:src/sys/classes/viewer/impls/matlab/vmatlab.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages